/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.util.task.valueobject;

/**
 * 処理クラス [BlancoXliffUtilSplitProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliffUtilSplitProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * XLIFF (*.xlf) ファイルが出力されるディレクトリ。
     *
     * フィールド: [targetdir]。
     */
    private String fTargetdir;

    /**
     * 入力対象の XLIFF (*.xlf) ファイル。
     *
     * フィールド: [sourcefile]。
     */
    private String fSourcefile;

    /**
     * 分割する際の trans-unit の件数。
     *
     * フィールド: [count]。
     * デフォルト: [50]。
     */
    private int fCount = 50;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [targetdir] の値を設定します。
     *
     * フィールドの説明: [XLIFF (*.xlf) ファイルが出力されるディレクトリ。]。
     *
     * @param argTargetdir フィールド[targetdir]に設定する値。
     */
    public void setTargetdir(final String argTargetdir) {
        fTargetdir = argTargetdir;
    }

    /**
     * フィールド [targetdir] の値を取得します。
     *
     * フィールドの説明: [XLIFF (*.xlf) ファイルが出力されるディレクトリ。]。
     *
     * @return フィールド[targetdir]から取得した値。
     */
    public String getTargetdir() {
        return fTargetdir;
    }

    /**
     * フィールド [sourcefile] の値を設定します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイル。]。
     *
     * @param argSourcefile フィールド[sourcefile]に設定する値。
     */
    public void setSourcefile(final String argSourcefile) {
        fSourcefile = argSourcefile;
    }

    /**
     * フィールド [sourcefile] の値を取得します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイル。]。
     *
     * @return フィールド[sourcefile]から取得した値。
     */
    public String getSourcefile() {
        return fSourcefile;
    }

    /**
     * フィールド [count] の値を設定します。
     *
     * フィールドの説明: [分割する際の trans-unit の件数。]。
     *
     * @param argCount フィールド[count]に設定する値。
     */
    public void setCount(final int argCount) {
        fCount = argCount;
    }

    /**
     * フィールド [count] の値を取得します。
     *
     * フィールドの説明: [分割する際の trans-unit の件数。]。
     * デフォルト: [50]。
     *
     * @return フィールド[count]から取得した値。
     */
    public int getCount() {
        return fCount;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.util.task.valueobject.BlancoXliffUtilSplitProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",targetdir=" + fTargetdir);
        buf.append(",sourcefile=" + fSourcefile);
        buf.append(",count=" + fCount);
        buf.append("]");
        return buf.toString();
    }
}
